#ifndef PANEL_H
#define PANEL_H

#include "panel_device.h"

class Panel {
public:
  explicit Panel(IPanelDevice *device);

  ~Panel() = default;

  IPanelDevice *device_;

  esp_lcd_panel_io_handle_t io_handle_;

  esp_lcd_panel_handle_t esp_panel_;

private:
  esp_lcd_panel_dev_config_t panel_config_;
};

#endif //PANEL_H
